The9 Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/the9-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/the9-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1296774/000141057825000945/ncty-20241231x20f.htm",
    "holding_balance": 285.0,
    "holding_net_change": 285.0,
    "transaction_value_usd": 23521930.65,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/the9-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    285.0
  ],
  [
    1789257600000,
    285.0
  ],
  [
    1789344000000,
    285.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/the9-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    22010222.25
  ],
  [
    1789257600000,
    22016800.05
  ],
  [
    1789344000000,
    21890325.6
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/the9-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.71,
    "date": "2026-09-09",
    "high": 4.53,
    "open": 4.53,
    "close": 3.79,
    "volume": 262000
  },
  {
    "low": 3.55,
    "date": "2026-09-10",
    "high": 4.07,
    "open": 3.7,
    "close": 3.74,
    "volume": 454100
  },
  {
    "low": 3.46,
    "date": "2026-09-11",
    "high": 4.41,
    "open": 3.75,
    "close": 4.18,
    "volume": 382400
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/the9-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/the9-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 4.5,
  "six_month_return": -28.3,
  "three_month_return": -8.73
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/the9-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 34.3,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}